### Method

# Phosh MprisDBusMediaPlayer2Player dup_metadata

#### Declaration [src]

    GVariant*
    phosh_mpris_dbus_media_player2_player_dup_metadata (
      PhoshMprisDBusMediaPlayer2Player* object
    )

#### Description [src]

Gets a copy of the “Metadata” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

This method is not directly available to language bindings.

#### Return value

Type: `GVariant`

The property value or `NULL` if the property is not set. The returned value should be freed with g_variant_unref().

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.